VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL Q1
        SIGNAL D
        SIGNAL CE
        SIGNAL Clk
        SIGNAL XLXN_6
        SIGNAL XLXN_7
        SIGNAL XLXN_8
        SIGNAL XLXN_10
        SIGNAL Q2
        SIGNAL Q3
        SIGNAL XLXN_9
        SIGNAL XLXN_14
        SIGNAL XLXN_15
        PORT Output Q1
        PORT Input D
        PORT Input CE
        PORT Input Clk
        PORT Output Q2
        PORT Output Q3
        BEGIN BLOCKDEF m2_1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 96 -64 96 -192 
            LINE N 256 -96 96 -64 
            LINE N 256 -160 256 -96 
            LINE N 96 -192 256 -160 
            LINE N 176 -32 96 -32 
            LINE N 176 -80 176 -32 
            LINE N 0 -32 96 -32 
            LINE N 320 -128 256 -128 
            LINE N 0 -96 96 -96 
            LINE N 0 -160 96 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF fde
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 m2_1
            PIN D0 Q1
            PIN D1 D
            PIN S0 CE
            PIN O XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_4 fd
            PIN C Clk
            PIN D XLXN_1
            PIN Q Q1
        END BLOCK
        BEGIN BLOCK XLXI_7 fde
            PIN C Clk
            PIN CE CE
            PIN D D
            PIN Q Q3
        END BLOCK
        BEGIN BLOCK XLXI_8 fd
            PIN C XLXN_6
            PIN D D
            PIN Q Q2
        END BLOCK
        BEGIN BLOCK XLXI_9 and2
            PIN I0 Clk
            PIN I1 CE
            PIN O XLXN_6
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 416 448 R0
        INSTANCE XLXI_4 784 576 R0
        BEGIN BRANCH XLXN_1
            WIRE 736 320 784 320
        END BRANCH
        BEGIN BRANCH Q1
            WIRE 336 176 1184 176
            WIRE 1184 176 1184 320
            WIRE 1184 320 1232 320
            WIRE 336 176 336 288
            WIRE 336 288 416 288
            WIRE 1168 320 1184 320
        END BRANCH
        BEGIN BRANCH D
            WIRE 272 352 368 352
            WIRE 368 352 416 352
            WIRE 368 352 368 688
            WIRE 368 688 784 688
            WIRE 368 688 368 1072
            WIRE 368 1072 784 1072
        END BRANCH
        BEGIN BRANCH CE
            WIRE 272 416 336 416
            WIRE 336 416 416 416
            WIRE 336 416 336 784
            WIRE 336 784 336 1136
            WIRE 336 1136 784 1136
            WIRE 336 784 512 784
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 272 480 304 480
            WIRE 304 480 784 480
            WIRE 304 480 304 848
            WIRE 304 848 304 1200
            WIRE 304 1200 784 1200
            WIRE 304 848 512 848
            WIRE 784 448 784 480
        END BRANCH
        IOMARKER 272 352 D R180 28
        IOMARKER 272 416 CE R180 28
        IOMARKER 272 480 Clk R180 28
        INSTANCE XLXI_7 784 1328 R0
        INSTANCE XLXI_8 784 944 R0
        BEGIN BRANCH XLXN_6
            WIRE 768 816 784 816
        END BRANCH
        BEGIN BRANCH Q2
            WIRE 1168 688 1184 688
            WIRE 1184 688 1232 688
        END BRANCH
        BEGIN BRANCH Q3
            WIRE 1168 1072 1184 1072
            WIRE 1184 1072 1216 1072
        END BRANCH
        IOMARKER 1232 320 Q1 R0 28
        IOMARKER 1216 1072 Q3 R0 28
        IOMARKER 1232 688 Q2 R0 28
        BEGIN DISPLAY 412 1176 TEXT Clk
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 412 824 TEXT Clk
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 400 460 TEXT Clk
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 404 1112 TEXT "Clk Enable"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 404 1048 TEXT Data
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 400 664 TEXT Data
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 376 752 TEXT "Clk Enable"
            FONT 40 "Arial"
        END DISPLAY
        INSTANCE XLXI_9 512 912 R0
        BEGIN DISPLAY 272 328 TEXT Data
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 440 588 TEXT "Gated Clk Solution"
            FONT 48 "Arial"
            TEXTCOLOR 0 0 255
        END DISPLAY
        BEGIN DISPLAY 460 136 TEXT "The Mux Solution"
            FONT 48 "Arial"
            TEXTCOLOR 0 0 255
        END DISPLAY
        BEGIN DISPLAY 464 984 TEXT "Standard Symbol"
            FONT 48 "Arial"
            TEXTCOLOR 0 0 255
        END DISPLAY
        BEGIN DISPLAY 528 400 TEXT "Clk Enable"
            FONT 40 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
