VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Clk_Enable
        SIGNAL D
        SIGNAL Clk
        SIGNAL Clear_Reset
        SIGNAL Q1
        SIGNAL Qn1
        SIGNAL Q2
        SIGNAL Qn2
        SIGNAL Q3
        SIGNAL Qn3
        SIGNAL Q4
        SIGNAL Qn4
        PORT Input Clk_Enable
        PORT Input D
        PORT Input Clk
        PORT Input Clear_Reset
        PORT Output Q1
        PORT Output Qn1
        PORT Output Q2
        PORT Output Qn2
        PORT Output Q3
        PORT Output Qn3
        PORT Output Q4
        PORT Output Qn4
        BEGIN BLOCKDEF DFF_CE
            TIMESTAMP 2007 9 16 18 32 6
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF DFF_Async_Clear
            TIMESTAMP 2007 9 16 18 32 29
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF DFF_Sync_Reset
            TIMESTAMP 2007 9 16 18 32 16
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF DFF_CE_Sync_Reset
            TIMESTAMP 2007 9 16 18 32 23
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -224 384 -224 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 DFF_CE
            PIN D D
            PIN CE Clk_Enable
            PIN Clk Clk
            PIN Q Q1
            PIN Qn Qn1
        END BLOCK
        BEGIN BLOCK XLXI_2 DFF_Async_Clear
            PIN D D
            PIN Clk Clk
            PIN Clear Clear_Reset
            PIN Q Q2
            PIN Qn Qn2
        END BLOCK
        BEGIN BLOCK XLXI_3 DFF_Sync_Reset
            PIN D D
            PIN Clk Clk
            PIN Reset Clear_Reset
            PIN Q Q3
            PIN Qn Qn3
        END BLOCK
        BEGIN BLOCK XLXI_4 DFF_CE_Sync_Reset
            PIN D D
            PIN Clk Clk
            PIN CE Clk_Enable
            PIN Reset Clear_Reset
            PIN Q Q4
            PIN Qn Qn4
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 544 384 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_2 544 656 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_3 544 928 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_4 544 1264 R0
        END INSTANCE
        BEGIN BRANCH D
            WIRE 320 224 448 224
            WIRE 448 224 544 224
            WIRE 448 224 448 496
            WIRE 448 496 544 496
            WIRE 448 496 448 768
            WIRE 448 768 544 768
            WIRE 448 768 448 1040
            WIRE 448 1040 544 1040
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 352 1104 480 1104
            WIRE 480 1104 544 1104
            WIRE 480 352 544 352
            WIRE 480 352 480 560
            WIRE 480 560 544 560
            WIRE 480 560 480 832
            WIRE 480 832 544 832
            WIRE 480 832 480 1104
        END BRANCH
        BEGIN BRANCH Clear_Reset
            WIRE 352 624 416 624
            WIRE 416 624 544 624
            WIRE 416 624 416 896
            WIRE 416 896 544 896
            WIRE 416 896 416 1232
            WIRE 416 1232 544 1232
        END BRANCH
        BEGIN BRANCH Q1
            WIRE 928 224 960 224
        END BRANCH
        BEGIN BRANCH Qn1
            WIRE 928 352 960 352
        END BRANCH
        BEGIN BRANCH Q2
            WIRE 928 496 960 496
        END BRANCH
        BEGIN BRANCH Qn2
            WIRE 928 624 960 624
        END BRANCH
        BEGIN BRANCH Q3
            WIRE 928 768 960 768
        END BRANCH
        BEGIN BRANCH Qn3
            WIRE 928 896 960 896
        END BRANCH
        BEGIN BRANCH Q4
            WIRE 928 1040 960 1040
        END BRANCH
        BEGIN BRANCH Qn4
            WIRE 928 1232 960 1232
        END BRANCH
        BEGIN BRANCH Clk_Enable
            WIRE 368 144 384 144
            WIRE 384 144 384 288
            WIRE 384 288 544 288
            WIRE 384 288 384 1168
            WIRE 384 1168 544 1168
        END BRANCH
        IOMARKER 960 352 Qn1 R0 28
        IOMARKER 960 496 Q2 R0 28
        IOMARKER 960 624 Qn2 R0 28
        IOMARKER 960 768 Q3 R0 28
        IOMARKER 960 896 Qn3 R0 28
        IOMARKER 960 1040 Q4 R0 28
        IOMARKER 960 1232 Qn4 R0 28
        IOMARKER 960 224 Q1 R0 28
        IOMARKER 368 144 Clk_Enable R180 28
        IOMARKER 352 624 Clear_Reset R180 28
        IOMARKER 352 1104 Clk R180 28
        IOMARKER 320 224 D R180 28
    END SHEET
END SCHEMATIC
