--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.2.02i
--  \   \         Application : sch2vhdl
--  /   /         Filename : Test_DFF_extra.vhf
-- /___/   /\     Timestamp : 09/16/2007 20:46:40
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx92i\bin\nt\sch2vhdl.exe -intstyle ise -family spartan3e -flat -suppress -w D:/BASYS_PROJECTS/EXER3x/Exer3_4_DFFs_extra/Test_DFF_extra.sch Test_DFF_extra.vhf
--Design Name: Test_DFF_extra
--Device: spartan3e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity Test_DFF_extra is
   port ( Clear_Reset  : in    std_logic; 
          Clk          : in    std_logic; 
          Count_Enable : in    std_logic; 
          D            : in    std_logic; 
          Qn1          : out   std_logic; 
          Qn2          : out   std_logic; 
          Qn3          : out   std_logic; 
          Qn4          : out   std_logic; 
          Q1           : out   std_logic; 
          Q2           : out   std_logic; 
          Q3           : out   std_logic; 
          Q4           : out   std_logic);
end Test_DFF_extra;

architecture BEHAVIORAL of Test_DFF_extra is
   component DFF_CE
      port ( D   : in    std_logic; 
             CE  : in    std_logic; 
             Clk : in    std_logic; 
             Q   : out   std_logic; 
             Qn  : out   std_logic);
   end component;
   
   component DFF_Async_Clear
      port ( D     : in    std_logic; 
             Clk   : in    std_logic; 
             Clear : in    std_logic; 
             Q     : out   std_logic; 
             Qn    : out   std_logic);
   end component;
   
   component DFF_Sync_Reset
      port ( D     : in    std_logic; 
             Clk   : in    std_logic; 
             Reset : in    std_logic; 
             Q     : out   std_logic; 
             Qn    : out   std_logic);
   end component;
   
   component DFF_CE_Sync_Reset
      port ( D     : in    std_logic; 
             Clk   : in    std_logic; 
             CE    : in    std_logic; 
             Reset : in    std_logic; 
             Q     : out   std_logic; 
             Qn    : out   std_logic);
   end component;
   
begin
   XLXI_1 : DFF_CE
      port map (CE=>Count_Enable,
                Clk=>Clk,
                D=>D,
                Q=>Q1,
                Qn=>Qn1);
   
   XLXI_2 : DFF_Async_Clear
      port map (Clear=>Clear_Reset,
                Clk=>Clk,
                D=>D,
                Q=>Q2,
                Qn=>Qn2);
   
   XLXI_3 : DFF_Sync_Reset
      port map (Clk=>Clk,
                D=>D,
                Reset=>Clear_Reset,
                Q=>Q3,
                Qn=>Qn3);
   
   XLXI_4 : DFF_CE_Sync_Reset
      port map (CE=>Count_Enable,
                Clk=>Clk,
                D=>D,
                Reset=>Clear_Reset,
                Q=>Q4,
                Qn=>Qn4);
   
end BEHAVIORAL;


