
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity DFF_Async_Clear is
    Port ( D,Clk,Clear : in  STD_LOGIC;
           Q,Qn :       out  STD_LOGIC);
end DFF_Async_Clear;

architecture Behavioral of DFF_Async_Clear is
begin

   process( Clk, Clear)
	begin
	   if Clear='1' then
		   Q  <= '0';
			Qn <= '1';
	   elsif Rising_edge( Clk) then
		   Q  <= D;
			Qn <= not D;
		end if;
	end process;

end Behavioral;

