
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity DFF_Sync_Reset is
    Port ( D,Clk,Reset : in   STD_LOGIC;
           Q,Qn :        out  STD_LOGIC);
end DFF_Sync_Reset;

architecture Behavioral of DFF_Sync_Reset is
begin

   process( Clk)
	begin
	   if Rising_edge( Clk) then
			if Reset='1' then
				Q  <= '0';
				Qn <= '1';
			else
				Q  <= D;
				Qn <= not D;
			end if;
		end if;
	end process;

end Behavioral;

